<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>Email a Friend</title>

<style>
    body {background: #fdfdfd; margin: 20px; }
    p {font-size: 10pt; }
    label{ color: #555; font-size: 10pt; }
    label, input.textbox { display: block; float: left; }
    label { text-align: left; width: 10em; }
    br { clear: left; }
    input { font-size: 10pt; }
    input.submit { border: solid 1px #555; color: #555; background: #eee; margin: 10px 5px; }
    input.submit:hover { background: #fff; cursor: pointer;}
    input.textbox { border: solid 1px #555; }
#mailform { text-align: center; margin-top: 5%;}
</style>

<script type="text/javascript">
var sent = {{sent_mail|lower}};
if (sent && window.opener) {
    window.close();
}
function check_form() {
    if(document.forms[0].name.value.length < 1) {
        alert('Please enter your name.');
        return false;
    }
    if(document.forms[0].email.value.length < 3) {
        alert('Please enter an email address.');
        return false;
    }
    if(! isValidEmail(document.forms[0].email.value)) {
        alert('The email address you entered was not valid.');
        return false;
    }
    
    return true;
}
function isValidEmail(str) {
   return (str.indexOf(".") > 2) && (str.indexOf("@") > 0);
}
</script>
</head>

<body>
<p>Enter your name and an email address, and we'll send a link to this image. </p>
<form name="mailform" id="mailform" action="" 
      method="post" onsubmit="return check_form()">{% csrf_token %}

  <label for="name">Your Name: </label>
  <input name="name" id="name" type="text" class="textbox" /> <br />
  <label for="email">Email Address: </label>
  <input name="email" id="email" type="text" class="textbox" /> <br />
  <input name="submit" class="submit" type="submit" value="Send Mail" />
</form>

</body>
</html>
